#include <iostream>

#define MAX 100000

using namespace std;

int main(void)
{

    int niz[MAX], niz2[MAX], n, k;
    cin >> n >> k;
    for(int i=0; i<n; i++)
        cin >> niz[i];
    for(int i=0; i<n-1; ++i)
        for(int j=i+1; j<n; ++j)
            if(niz[i]>niz[j])
            {
                int pom=niz[i];
                niz[i]=niz[j];
                niz[j]=pom;
            }

    int i=0, j=1, brojac=1, s=0, p=0;


    while(i<n)
    {
        while(niz[i]==niz[j])
        {
            ++brojac;
            ++i;
            ++j;
        }
        if(brojac>=k)
        {
            s++;
            niz2[p]=niz[i];
            ++p;
        }
        brojac=1;
        ++i;
        ++j;
    }

    cout << s << endl;
    for(int i=0; i<p; ++i)
        cout << niz2[i] << " ";

    return 0;
}